# Uses of Class
org.apache.lucene.sandbox.search.PhraseWildcardQuery.TermData

Packages that use PhraseWildcardQuery.TermData
Package
Description
org.apache.lucene.sandbox.search
This package contains a flexible graph-based proximity query, TermAutomatonQuery, and geospatial queries.

- ## Uses of PhraseWildcardQuery.TermData in org.apache.lucene.sandbox.search

  Fields in org.apache.lucene.sandbox.search declared as PhraseWildcardQuery.TermData
  Modifier and Type
  Field
  Description
  `protected final PhraseWildcardQuery.TermData[]`
  PhraseWildcardQuery.TermsData.`termDataPerPosition`
  Methods in org.apache.lucene.sandbox.search that return PhraseWildcardQuery.TermData
  Modifier and Type
  Method
  Description
  `protected PhraseWildcardQuery.TermData`
  PhraseWildcardQuery.TermsData.`getOrCreateTermData(int termPosition)`
  `protected PhraseWildcardQuery.TermData`
  PhraseWildcardQuery.TermsData.`getTermData(int termPosition)`
  Methods in org.apache.lucene.sandbox.search with parameters of type PhraseWildcardQuery.TermData
  Modifier and Type
  Method
  Description
  `protected void`
  PhraseWildcardQuery.`collectMultiTermStats(IndexSearcher searcher, Map<BytesRef,PhraseWildcardQuery.TermStats> termStatsMap, PhraseWildcardQuery.TermsData termsData, PhraseWildcardQuery.TermData termData)`
  Collect the term stats across all segments.